Summary: Watch log for POP/IMAP auth, notify MTA to allow relay
Name: pop-before-smtp
Version: 1.42
Release: 2%{?dist}

Source: http://download.sourceforge.net/sourceforge/popbsmtp/pop-before-smtp-%{version}.tar.gz
URL: http://popbsmtp.sourceforge.net/
License: GPL+ or Artistic
Group: System Environment/Daemons
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Spam prevention requires preventing open relaying through email
servers. However, legit users want to be able to relay. If legit
users always stayed in one spot, they'd be easy to describe to the
daemon. However, what with roving laptops, logins from home, etc.,
legit users refuse to stay in one spot.

pop-before-smtp watches the mail log, looking for successful
pop/imap logins, and posts the originating IP address into a
database which can be checked by Postfix, to allow relaying for
people who have recently downloaded their email.

%prep
%setup -q

%build
echo Nothing to build...

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install pop-before-smtp $RPM_BUILD_ROOT%{_sbindir}
pod2man pop-before-smtp >$RPM_BUILD_ROOT%{_mandir}/man8/pop-before-smtp.8 2>/dev/null
install pop-before-smtp-conf.pl $RPM_BUILD_ROOT%{_sysconfdir}
install pop-before-smtp.init $RPM_BUILD_ROOT%{_initrddir}/pop-before-smtp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog pop-before-smtp-conf.pl
%doc contrib/README*
%attr(0644,root,root) %{_mandir}/man8/pop-before-smtp.8*
%attr(0755,root,root) %{_sbindir}/pop-before-smtp
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/pop-before-smtp-conf.pl
%attr(0755,root,root) %{_initrddir}/pop-before-smtp

%post
[ $1 = 1 ] || exit 0

/sbin/chkconfig --add pop-before-smtp

%preun
[ $1 = 0 ] || exit 0

/sbin/chkconfig --del pop-before-smtp

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.42-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.42-1
- 1.42
- fix license tag

* Fri Sep 15 2006 Warren Togami <wtogami@redhat.com> 1.41-2
- rebuild for FC6

* Mon May 8 2006 Warren Togami <wtogami@redhat.com> 1.41-1
- update to 1.41 
- remove perl cut which wasn't working anyway due to a typo

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Jan 06 2005 Warren Togami <wtogami@redhat.com> 1.36-1
- 1.36

* Tue May 11 2004 Warren Togami <wtogami@redhat.com> 1.35-1
- 1.35, remove some docs

* Sat Feb 07 2004 Warren Togami <warren@togami.com> 1.34-0.fdr.1
- Update to 1.34

* Tue Sep 02 2003 Warren Togami <warren@togami.com> 1.34-0.fdr.0.1.cvs20030717
- Fedora

* Fri Mar 28 2003 Wayne Davison <wayned@users.sourceforge.net>
- Modified for 1.33

* Sun Dec 15 2002 Wayne Davison <wayned@users.sourceforge.net>
- Modified for 1.32

* Sat Aug 31 2002 Wayne Davison <wayned@users.sourceforge.net>
- Modified for 1.31

* Fri Apr 12 2002 Wayne Davison <wayned@users.sourceforge.net>
- Modified for 1.30
